<?php
define('STEED_BASE_SLUG', 'accounting');
define('STEED_THEME_SLUG', 'accounting-pro');

define('STEED_DOC_URL', esc_url('#'));
define('STEED_DEMO_URL', esc_url('http://tallythemesdemo.com/wp3/accounting-free'));

if(file_exists(WP_PLUGIN_DIR.'/steed-customizar/functions.php')){
	include(WP_PLUGIN_DIR.'/steed-customizar/functions.php');
}

if ( ! function_exists( 'accounting_setup' ) ) :
function accounting_setup() {
	
	load_theme_textdomain( 'accounting', get_template_directory() . '/languages' );
	
	remove_action('steed_header', 'steed_part_header_content', 10);
	remove_filter('steed_custom_css', 'steed_part_header_CSS');
	remove_action('customize_register', 'steed_part_header_customize' );
	
	add_action('steed_header', 'accounting_part_header_content', 10);
	add_filter('steed_custom_css', 'accounting_part_header_CSS');
	add_action( 'customize_register', 'accounting_part_header_customize' );
	
	add_filter('steed_fonts', 'accounting_google_font_URLs');
	
	add_filter('steed_element_colorMood_subheader_', 'steed_return_light_color_name');
	add_filter('steed_element_colorMood_footer_widgets_', 'steed_return_light_color_name');
	add_filter('steed_element_colorMood_footer_bar_', 'steed_return_light_color_name');
	add_filter('steed_element_colorMood_topbar_', 'steed_return_light_color_name');
	
	add_image_size('accounting_blog', 600, 250, true);
	
	add_filter('steed_tgm_plugins', 'accounting_plugin_list');
	
	add_theme_support( 'custom-logo', array());
}
endif;
add_action( 'after_setup_theme', 'accounting_setup' );

include('php/template-parts.php');
include('php/more-functions.php');
include('php/theme-options.php');

function accounting_excerpt_length( $length ) {
	return 20;
}
add_filter( 'excerpt_length', 'accounting_excerpt_length', 999 );

function accounting_excerpt_more( $more ) {
    return '';
}
add_filter('excerpt_more', 'accounting_excerpt_more');


function accounting_scripts() {
	wp_enqueue_script( 'accounting-style', get_stylesheet_directory_uri() . '/style.js', array('jquery'),'1',true );
}
add_action( 'wp_enqueue_scripts', 'accounting_scripts' );