<?php
if ( ! function_exists( 'accounting_google_font_URLs' ) ) :
function accounting_google_font_URLs(){
	$fonts = array();
	/* #0 Heading Font */
	$fonts[] = 'Merriweather:400,400i,700,700i';
	
	/* #1 Menu Font */
	$fonts[] = 'Merriweather:400,400i,700,700i';
	
	/* #2 Body Font */
	$fonts[] = 'Merriweather:400,400i,700,700i';
		
	return $fonts;
}
endif;

if ( ! function_exists( 'accounting_subheader_color_mood' ) ) :
function accounting_subheader_color_mood(){
	return 'light';	
}
endif;



if ( ! function_exists( 'accounting_colors' ) ) :
function accounting_colors(){
	return array(
		'primary'	=> '#42B24D',
		'primary_l'	=> '#4ecd5a',
		'primary_d'	=> '#3c9445',
		'accent'	=> '#3c9445',
		'light'		=> '#ffffff',
		'dim_light'	=> '#bdbdbd',
		'dim_dark'	=> '#757575',
		'dark'		=> '#212121',
	);
}
endif;
add_filter('steed_colors', 'accounting_colors');


if ( ! function_exists( 'accounting_tpb_colors' ) ) :
function accounting_tpb_colors(){
	
	$std_colors = accounting_colors();
	
	$primary	= (get_theme_mod('primary_color') != '')	? sanitize_hex_color(get_theme_mod('primary_color'))	: $std_colors['primary'];
	$primary_l	= (get_theme_mod('primary_l_color') != '')	? sanitize_hex_color(get_theme_mod('primary_l_color'))	: $std_colors['primary_l'];
	$primary_d	= (get_theme_mod('primary_d_color') != '')	? sanitize_hex_color(get_theme_mod('primary_d_color'))	: $std_colors['primary_d'];
	$accent		= (get_theme_mod('accent_color') != '')		? sanitize_hex_color(get_theme_mod('accent_color'))		: $std_colors['accent'];
	$light		= (get_theme_mod('light_color') != '')		? sanitize_hex_color(get_theme_mod('light_color'))		: $std_colors['light'];
	$dim_light	= (get_theme_mod('dim_light_color') != '')	? sanitize_hex_color(get_theme_mod('dim_light_color'))	: $std_colors['dim_light'];
	$dim_dark	= (get_theme_mod('dim_dark_color') != '')	? sanitize_hex_color(get_theme_mod('dim_dark_color'))	: $std_colors['dim_dark'];
	$dark		= (get_theme_mod('dark_color') != '')		? sanitize_hex_color(get_theme_mod('dark_color'))		: $std_colors['dark'];
	
	$colors = array(
		'primary'	=> $primary,
		'primary_l'	=> $primary_l,
		'primary_d'	=> $primary_d,
		'accent'	=> $accent,
		'light'		=> $light,
		'dim_light'	=> $dim_light,
		'dim_dark'	=> $dim_dark,
		'dark'		=> $dark,
	);
	
	return $colors;
}
endif;
add_filter('tpb_colors', 'accounting_tpb_colors');

if ( ! function_exists( 'accounting_plugin_list' ) ) :
function accounting_plugin_list($plugins_list){
	
	$plugins_list[] = array(
		'name'      => 'Option Tree',
		'slug'      => 'option-tree',
		'required'  => true,
	);
	
	return $plugins_list;
}
endif;